Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.action
Class Action

    java.lang.Object
      edu.cwru.SimpleRTS.action.Action

Direct Known Subclasses:
  DirectedAction, LocatedAction, LocatedProductionAction, ProductionAction, TargetedAction

    public class Action

extends java.lang.Object

Method Summary
`static Action` | `createCompoundAttack(int unitid, int targetid)`
`static Action` | `createCompoundBuild(int unitid, int templateID, int x, int y)`
`static Action` | `createCompoundDeposit(int unitid, int targetid)`
`static Action` | `createCompoundGather(int unitid, int targetid)`
`static Action` | `createCompoundMove(int unitid, int x, int y)`
`static Action` | `createCompoundProduction(int unitid, int templateID)`
`static Action` | `createFail(int unitid)` Used to indicate that a compound action failed, and it should be redone
`static Action` | `createPermanentFail(int unitid)` Used to indicate that a compound action failed permanently, and it should be aborted
`static Action` | `createPrimitiveBuild(int unitid, int templateID)`
`static Action` | `createPrimitiveDeposit(int unitid, Direction d)`
`static Action` | `createPrimitiveGather(int unitid, Direction d)`
`static Action` | `createPrimitiveMove(int unitid, Direction d)`
`static Action` | `createPrimitiveProduction(int unitid, int templateID)`
`ActionType` | `getType()`
`int` | `getUnitId()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getUnitId

    public int getUnitId()

### getType

    public ActionType getType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createPrimitiveMove

    public static Action createPrimitiveMove(int unitid,
                                             Direction d)

### createPrimitiveGather

    public static Action createPrimitiveGather(int unitid,
                                               Direction d)

### createCompoundMove

    public static Action createCompoundMove(int unitid,
                                            int x,
                                            int y)

### createCompoundProduction

    public static Action createCompoundProduction(int unitid,
                                                  int templateID)

### createPrimitiveProduction

    public static Action createPrimitiveProduction(int unitid,
                                                   int templateID)

### createCompoundBuild

    public static Action createCompoundBuild(int unitid,
                                             int templateID,
                                             int x,
                                             int y)

### createPrimitiveBuild

    public static Action createPrimitiveBuild(int unitid,
                                              int templateID)

### createCompoundAttack

    public static Action createCompoundAttack(int unitid,
                                              int targetid)

### createCompoundGather

    public static Action createCompoundGather(int unitid,
                                              int targetid)

### createCompoundDeposit

    public static Action createCompoundDeposit(int unitid,
                                               int targetid)

### createPrimitiveDeposit

    public static Action createPrimitiveDeposit(int unitid,
                                                Direction d)

### createFail

    public static Action createFail(int unitid)

  Used to indicate that a compound action failed, and it should be redone

  Parameters:
    `unitid` -
  Returns:

### createPermanentFail

    public static Action createPermanentFail(int unitid)

  Used to indicate that a compound action failed permanently, and it should be aborted

  Parameters:
    `unitid` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD